#!/bin/bash
# Name: Steffen Wirth
# Homepage: http://www.pissflitsche.net/atiscript
# Datum: 05.03.2005
trap "" 2 3
trap "" SIGTSTP
clear
if [ `id -un` != root ] 
	then 
		echo "Please start the script as root"
		exit 0
fi
clear
echo "|-------------Welcome to atiscript 0.0.1-------------|"
echo "|                                                    |"
echo "|            ---Please select a driver---            |"
echo "|                                                    |"
echo "|  (1)  Ati-8.10.19 and Linux 2.6.10	      (1)  |"
echo "|  (2)  Ati-8.8.25 and Linux 2.6.10             (2)  |"
echo "|  (3)  Ati-3.14.6 and Linux 2.6.10             (3)  |"
echo "|  (4)  Cancel                                  (4)  |"
echo "|----------------------------------------------------|"
echo "|         - Choose a number and press Enter -        |"
echo -n "|----------------------------------------------------"
read kernel
case "$kernel" in
'1')
	clear
	modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx module, error"
	rm -rf /lib/modules/fglrx/ 2> /dev/null
	rm -rf ~/.atiscript/ 2> /dev/null
	mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
	wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.10.19-1.i386.tar.gz || wget -c http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.10.19-1.i386.tar.gz
	tar -xzf fglrx_6_8_0-8.10.19-1.i386.tar.gz && cp -r ./lib ./usr /
	wget http://www.pissflitsche.net/scripts/agpgart_be_2.6.10.patch && cp agpgart_be_2.6.10.patch /lib/modules/fglrx/build_mod/
	cd /lib/modules/fglrx/build_mod/ && patch -p0 < agpgart_be_2.6.10.patch 2> /dev/null
	sh ./make.sh && cd ../ && sh ./make_install.sh
	clear
	echo "--------------------------------------"
	dmesg | grep fglrx
	echo "--------------------------------------"
	echo "Now your new ATI Driver 8.10.19 are installed"
	echo "If you have some problems, look in your /etc/X11/xorg.conf"
	exit 0
	;;

'2')
	clear	
	modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx module, error"
	rm -rf /lib/modules/fglrx/ 2> /dev/null
	rm -rf ~/.atiscript/ 2> /dev/null
	mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
	wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.8.25-1.i386.tar.gz || wget -c wget http://www.pissflitsche.net/scripts/fglrx_6_8_0-8.8.25-1.i386.tar.gz
	tar -xzf fglrx_6_8_0-8.8.25-1.i386.tar.gz && cp -r ./lib ./usr /
	wget http://www.pissflitsche.net/scripts/ati_8.8.25_patches.tar.gz && tar -xzf ati_8.8.25_patches.tar.gz
	cd ./2.6.10/ && cp 01-agpgart_be.c.patch /lib/modules/fglrx/build_mod/ && cp 02-agpgart_be.patch /lib/modules/fglrx/build_mod/
	cd /lib/modules/fglrx/build_mod/ && patch -p0 < 01-agpgart_be.c.patch 2> /dev/null
	patch -p0 < 02-agpgart_be.patch 2> /dev/null
	sh ./make.sh && cd ../ && sh ./make_install.sh
	clear
	echo "--------------------------------------"
        dmesg | grep fglrx
        echo "--------------------------------------"
        echo "Now your new ATI Driver 8.8.25 are installed"
	echo "Thanks to SmOkyS2006 for the patches"
        echo "If you have some problems, look in your /etc/X11/xorg.conf"
        exit 0
	;;
'3')

	clear
        modprobe -r fglrx 2> /dev/null || echo "cannot unload fglrx module, error"
        rm -rf /lib/modules/fglrx/ 2> /dev/null
        rm -rf ~/.atiscript/ 2> /dev/null
        mkdir ~/.atiscript/ && cd ~/.atiscript/ 2> /dev/null
	wget http://www.pissflitsche.net/downloads/ati_4.14.6.tar.gz || wget -c wget http://www.pissflitsche.net/downloads/ati_4.14.6.tar.gz
	tar -xzf ati_4.14.6.tar.gz && cp -r ./* /
	cd /lib/modules/fglrx/build_mod/ && wget http://www.pissflitsche.net/scripts/agpgart_be.patch 
	patch -p0 < agpgart_be.patch 2> /dev/null
	sh ./make.sh && cd .. && sh ./make_install.sh
	clear
	echo "--------------------------------------"
        dmesg | grep fglrx
        echo "--------------------------------------"
        echo "Now your new ATI Driver 4.14.6 are installed"
        echo "If you have some problems, look in your /etc/X11/xorg.conf"
        exit 0
	;;
'4')
	exit 0
	;;
'-v')
	clear
	echo "atiscript Version 0.0.1"
	echo "by bert2002 @ www.pissflitsche.net/atiscript"
	;;
'--version')	
	clear
	echo "atiscript Version 0.0.1"
	echo "by bert2002 @ www.pissflitsche.net/atiscript"
	;;

*)
	
	echo "Please restart script and choose 1 - 2 - 3 or 4 "
esac